org.keycloak.common.enums

## Enum AccountRestApiVersion

- java.lang.Object
- - java.lang.Enum<AccountRestApiVersion>
  - - org.keycloak.common.enums.AccountRestApiVersion

- All Implemented Interfaces:
    Serializable, Comparable<AccountRestApiVersion>

      public enum AccountRestApiVersion
      extends Enum<AccountRestApiVersion>

  Author:
    Vaclav Muzikar

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `V1_ALPHA1`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AccountRestApiVersion` | `DEFAULT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AccountRestApiVersion` | `get(String strVersion)`
    `String` | `getStrVersion()`
    `static AccountRestApiVersion` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AccountRestApiVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### V1_ALPHA1

          public static final AccountRestApiVersion V1_ALPHA1

  - ### Field Detail

    - #### DEFAULT

          public static final AccountRestApiVersion DEFAULT

  - ### Method Detail

    - #### values

          public static AccountRestApiVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AccountRestApiVersion c : AccountRestApiVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AccountRestApiVersion valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public static AccountRestApiVersion get(String strVersion)

    - #### getStrVersion

          public String getStrVersion()

Copyright © 2021 JBoss by Red Hat. All rights reserved.